with import <nixpkgs> {};
stdenv.mkDerivation rec {
  name = "yjp-${version}";
  version = "2015-build-15082";

  src = fetchzip {
    url = "https://www.yourkit.com/download/${name}.zip";
    sha256 = "1szwzqyn7mj12wibjsrh02fibgr7wa2rbyp1mhzdzm5hjs49vn2r";
  };

  nativeBuildInputs = [ unzip makeWrapper patchelf ];

  installPhase = ''
    mkdir -p $out
    cp -ra ./ $out/yjp
    chmod +x $out/yjp/bin/*/yjp_dc
    patchelf --set-interpreter "$(cat $NIX_CC/nix-support/dynamic-linker)" $out/yjp/bin/linux-x86-64/yjp_dc
    makeWrapper $out/yjp/bin/yjp.sh $out/bin/yjp \
      --prefix PATH : ${jdk}
  '';
}
